function onlogin(obj, event, loginid, varargin)
global ni_Session isRunning
disp('Connected to server');
m_table = actxserver('NiApi.Table.1');
m_table.registerevent({'ondata', 'ondata'});
m_table.registerevent({'ondatacomplete', 'ondatacomplete'});
m_filter = actxserver('NiApi.Filter.1');
m_table.Open(ni_Session, 'ALL_TRADES__MIN', 1); 
m_filter.Structure = m_table.Structure;
m_filter.Add('I_NAME', 0, 'ксйник');
m_filter.Add('I_DATE', 0, '29.09.2010');
m_filter.Add('I_PERIOD', 0, '1');
disp('Request for data....');
m_table.GetData(m_filter);
pause(100); 
end